Name:           libssh
Version:        0.4.0 
Release:        1%{?dist}
Summary:        A library implementing the SSH2 protocol (0xbadc0de version)

Group:          System Environment/Libraries
License:        LGPLv2+
#original URL:	http://0xbadc0de.be/?part=libssh
URL:            http://www.libssh.org/
Source0:        http://www.libssh.org/files/rc/%{name}-%{version}.tar.gz
BuildRoot:      %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

BuildRequires:  openssl-devel
BuildRequires:  zlib-devel   
BuildRequires:  cmake

%description
The SSH library with
-Full C library functions for manipulating a client-side SSH connection                                                                     
-Fully configurable sessions                                                                                                                
-Support for AES-128,AES-192,AES-256,blowfish, in cbc mode                                                                                  
-use multiple SSH connections in a same process, at same time.                                                                              
-usable SFTP implementation                                                                                                                 
-Public key and password authentication                                                                                                     

%package devel
Summary:         Development files for %{name}
Group:           Development/Libraries
Requires:         %{name} = %{version}-%{release}

%description devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%setup -q

%build
mkdir obj
cd obj
%cmake ..
make

%install
rm -rf $RPM_BUILD_ROOT
cd obj
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} + 
chmod 644 $RPM_BUILD_ROOT/usr/include/libssh/*

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc AUTHORS BSD ChangeLog COPYING README
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root,-)
%{_includedir}/*
%{_libdir}/*.so

%changelog
* Fri Dec 11 2009 Jan F. Chadima <jchadima@redhat.com> - 0.4.0-1
- bounce versionn to 0.4.0 (#541010)

* Thu Nov 26 2009 Jan F. Chadima <jchadima@redhat.com> - 0.3.92-2
- typo in spec file

* Thu Nov 26 2009 Jan F. Chadima <jchadima@redhat.com> - 0.3.92-1
- bounce versionn to 0.3.92 (0.4 beta2) (#541010)

* Fri Aug 21 2009 Tomas Mraz <tmraz@redhat.com> - 0.2-4
- rebuilt with new openssl

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Jun 02 2009 Jan F. Chadima <jchadima@redhat.com> - 0.2-2
- Small changes during review

* Mon Jun 01 2009 Jan F. Chadima <jchadima@redhat.com> - 0.2-1
- Initial build

